API referenceGrowth
List coupons with usage, filtered and paginated
AuthorizationBearer <token>
API key from Settings → API keys
In: header
Path Parameters
storeId*string
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1perPage?integer
Range
1 <= value <= 200Default
25q?string
Length
length <= 60status?string
Value in
- "active"
- "scheduled"
- "expired"
- "used_up"
- "disabled"
kind?string
Value in
- "percent"
- "fixed"
source?string
Value in
- "merchant"
- "recovery"
- "all"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/stores/string/coupons"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "code": "string", "kind": "percent", "value": -9007199254740991, "currency": "string", "currencyValues": { "property1": -9007199254740991, "property2": -9007199254740991 }, "maxRedemptions": -9007199254740991, "maxDiscountedUnits": -9007199254740991, "maxDiscountMinor": -9007199254740991, "minSubtotalMinor": -9007199254740991, "perCustomerLimit": -9007199254740991, "startsAt": "string", "endsAt": "string", "eligibleProductIds": [ "ea29b267-1fc6-4712-9095-8625512d5326" ], "eligiblePaymentMethodIds": [ "f20f77b0-1fa5-4a4b-b162-49fb66837cc0" ], "eligibleEmails": [ "string" ], "countUsesAt": "paid", "incompatibleWith": [ "volume_discount" ], "status": "active", "source": "merchant", "effectiveStatus": "active", "redeemed": -9007199254740991, "held": -9007199254740991, "counted": -9007199254740991, "savedMinor": -9007199254740991, "revenueMinor": -9007199254740991, "lastUsedAt": "string", "createdAt": "string" } ], "pagination": { "page": -9007199254740991, "perPage": -9007199254740991, "total": -9007199254740991 }}